sccs-prs(1)

NAME
sccs-prs, prs - display selected portions of an SCCS history

SYNOPSIS

/usr/ccs/bin/prs [-ael] [-cdate-time] [-ddataspec] [-rsid] s.filename...

DESCRIPTION

The prs utility displays part or all of the SCCS file (see sccsfile(4)) in a user supplied format.

If a directory name is used in place of the s.filename argument, the prs command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

OPTIONS

In the absence of options, prs displays the delta table (version log). In the absence of -d, or -l, prs displays the entry for each delta indicated by the other options.

-a
    Includes all deltas, including those marked as removed (see sccs-rmdel(1)).

-e
    Requests information for all deltas created earlier than, and including, the delta indicated with -r or -c.

-l
    Requests information for all deltas created later than, and including, the delta indicated with -r or -c.

-cdate-time
    Either options -e or -l must be used with this option. -cdate-time displays information on the deltas checked in either prior to and including the date and time indicated by the date-time argument (option -e); or later than and including the date and time indicated (option -l). date-time takes the form:

    yy[mm[dd[hh[mm[ss]]]]]

    Units omitted from the indicated date and time default to their maximum possible values; that is -c7502 is equivalent to -c750228235959. Any number of non-numeric characters may separate the various 2 digit components. If white-space characters occur, the date-time specification must be quoted. Values of yy in the range 69-99 refer to the twentieth century. Values in the range of 00-68 refer to the twenty-first century.

-ddataspec
    Produce a report according to the indicated data specification. dataspec consists of a (quoted) text string that includes embedded data keywords of the form: `:key:' (see Data Keywords, below). prs expands these keywords in the output it produces. To specify a TAB character in the output, use \t; to specify a NEWLINE in the output, use \n.

-rsid
    Specifies the SCCS delta ID (SID) of the delta for which information is desired. If no SID is specified, the most recently created delta is used.

USAGE

Usage of prs is described below.

  Data Keywords

Data keywords specify which parts of an SCCS file are to be retrieved. All parts of an SCCS file (see sccsfile(4)) have an associated data keyword. A data keyword may appear any number of times in a data specification argument to -d. These data keywords are listed in the table below:

    *B = body, D = delta table, F = flags, U = user names

**S = simple format, M = multi-line format

EXAMPLES

Example 1 Displaying delta entries

The following command:

example% /usr/ccs/bin/prs -e -d":I:\t:P:" program.c

produces:

1.6	username
1.5 username...

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of prs: LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

FILES

/tmp/pr?????
    temporary file

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-cdc(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prt(1), sccs-sact(1), sccs-sccsdiff(1), what(1), sccsfile(4), attributes(5), environ(5), standards(5)

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).